{% extends "templates/web.html" %}

{% block title %} {{ _(title) }} {% endblock %}

{% block header %}<h2>{{ _(title) }}</h2>{% endblock %}

{% block page_content %}
<div class="subscriptions-section">
	<div class="current-subscription frappe-card">
		<div class="subscription-subtitle">
			{% if doc.cancellation_date %}
				<h6 class="small muted">
					{{ _("This subscription will end on") }} {{ frappe.utils.global_date_format(doc.cancellation_date) }}
				</h6>
			{% elif next_invoice_date %}
				<h6 class="small muted">
					{{ _("The next invoice will be generated on") }} {{ frappe.utils.global_date_format(next_invoice_date) }}
				</h6>
			{% endif %}
		</div>
		<h5 class="subscriptions-section-title">{{ _("Your subscription") }}</h5>
		<div class="current-subscription-table">
			{% include "templates/includes/subscriptions/subscription_table.html" %}
		</div>
	</div>
	{% if payment_requests %}
	<div class="invoicing-status frappe-card">
		<h5 class="subscriptions-section-title">{{ _("Outstanding amounts") }}</h5>
		{% for payment_request in payment_requests %}
		<div class="my-4">
			<div>{{ _("Total:") }}
				<span> {{ frappe.utils.fmt_money(frappe.utils.flt(payment_request.grand_total), currency=payment_request.currency) }}</span>
			</div>
			<div>{{ _("Reference:") }}
				<span> {{ _(payment_request.reference_doctype) }}</span> <span> {{ payment_request.reference_name }}</span>
			</div>
			<div><a class="btn btn-warning" href="{{ payment_request.payment_link }}">{{ _("Pay immediately") }}</a></div>
		</div>
		{% endfor %}
	</div>
	{% endif %}
	{% if not doc.cancellation_date %}
		{% if subscription_plans %}
		<div class="my-4 py-5 frappe-card">
			<div>
				<h5 class="subscriptions-section-title">{{ _("Your options") }}</h5>
				{% include "templates/includes/subscriptions/subscription_plans.html" %}
			</div>
		</div>
		{% endif %}
	<div class="my-4 py-5 frappe-card">
		<div>
			<h5 class="subscriptions-section-title">{{ _("Cancellation options") }}</h5>
			<div>
				<button class="btn btn-danger" id="subscription-cancellation-btn">{{ _("Cancel my subscription") }}</button>
			</div>
		</div>
	</div>
	{% endif %}
</div>
{% endblock %}

{% block style %}
<style>
.subscriptions-section,
.subscriptions-section-title,
.subscription-subtitle {
	margin: 0 0 1.5rem 0;
}

.current-subscription,
.available-plans,
.cancellation-options,
.invoicing-status {
	margin: 2rem 0;
	padding: 2rem;
}

.subscription-subtitle h6 {
	color: var(--orange-600);
}

.total-row th,
.total-row td {
	border-top: none
}

.uil {
	cursor: pointer;
}

</style>
{% endblock %}

{% block script %}
<script>
frappe.boot = {
	sysdefaults: {
		float_precision: parseInt("{{ frappe.get_system_settings('float_precision') or 3 }}"),
		date_format: "{{ frappe.get_system_settings('date_format') or 'yyyy-mm-dd' }}",
	}
};
</script>
<script>
	document.getElementById('subscription-cancellation-btn').addEventListener("click", function(e) {
		new frappe.confirm(__('Cancel this subscription at the end of the current billing period ?'), function() {
			return frappe.call("erpnext.templates.pages.subscription.cancel_subscription", {subscription: "{{ doc.name }}" })
			.then(r => {
				if (r && r.message) {
					frappe.show_alert({message: __("Subscription cancelled"), indicator: "green"})
					location.reload()
				}
			})
		})
	})
</script>
{% endblock %}
